2023-10-12 23:32:59 UTC
227 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMamazonlinux2
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:2b92a4a464539d6c28ffd6b40875226086ace1e24d6598d771d8a65a6938acb1 - 26.22% (59.6 MB)
[#001] sha256:f93549e98a473e4fe698ad2c57f1dec973fb5882ed10f6e556010f2b27d2fbcf - 73.78% (168 MB)
/bin/sh -c #(nop) COPY dir:bba3c324992ed0e5d34f0f5796fe9c0e46ced00dc01939b98cad3bc355594b38 in /
2023-10-12 22:38:11 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-12 23:30:28 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-12 23:30:28 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-12 23:32:07 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-12 23:32:07 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2
2023-10-12 23:32:07 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-12 23:32:07 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-12 23:32:07 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-12 23:32:08 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-12 23:32:59 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip
2023-10-12 22:59:30 UTC
201 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9-release
SWIFT_PLATFORMamazonlinux2
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9-RELEASE
SWIFT_WEBROOThttps://download.swift.org
[#000] sha256:d503fbdb054df5fe68cd13e3abb40a519885fcda4fbaf301b0667ae8c1285f4f - 30.46% (61.2 MB)
[#001] sha256:88b74379dc23522544538358f9caee353e54a45d3048e9adec45d0615e8cd032 - 69.54% (140 MB)
/bin/sh -c #(nop) COPY dir:826b274d38ec470bf9beb46977486da92a3347aff5fcb970deb82f445fd7f20e in /
2023-10-12 22:24:13 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-10-12 22:56:46 UTC/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-10-12 22:56:46 UTC/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9-release
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9-RELEASE
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org
2023-10-12 22:58:39 UTC/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.9-release SWIFT_VERSION=swift-5.9-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-10-12 22:59:30 UTC/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.